<!DOCTYPE html>

<head>
    <title> task 30.150 jquery create element </title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
    <div id="div-1" class="container text-primary">
        <p id="p-1"> Hello jquery world (p-1) !</p>
    </div>
    <div id="div-2" class="container bg-warning ">
        <h4 class="text-success">đây là div-2</h4>
        <button class="btn btn-secondary" onclick="onBtnTaoListVatNuoiClick()"> Tạo list vật nuôi (mẫu) </button>
    </div>
    <div id="div-4" class="container bg-warning ">
        <h4 class="text-success">đây là div-4</h4>
        <button class="btn btn-primary" onclick="onBtnTaoListMauSac()"> Tạo list màu </button>
    </div>
    <div id="div-3" class="row form-group bg-info">
        <div class="col-sm-3">
            <label for="car-select">Car (car-select)</label>
        </div>
        <div class="col-sm-3">
            <select id="car-select" name="car" class="form-control">
                <option value="bmw"> BMW </option>
                <option value="audi"> AUDI </option>
            </select>
        </div>
    </div>
    <div class="text-warning"> Hãy test thử hết những lệnh này trên console</div>
    <div class="container-fluid">
        <ol>
            <li> $("#p-1").val() //không có </li>
            <li> $("#p-1").html() //truy vấn </li>
            <li> $("#p-1").html("Hello J2221"); //đổi giá trị </li>
            <li> $("#p-1").text() </li>
            <li> $("#p-1").prop("innerHTML") //truy vấn</li>
            <li> $("#p-1").prop("innerHTML", "Jquery thật là hay !") //đổi giá trị</li>
            <li> $("#p-1").prop("id") </li>
            <li> $("&lt;/p&gt;").html("Hello").appendTo( $("#div-2") ) //tạo paragraph, thêm vào div-2</li>
            <li> $("&lt;/p&gt;").html("Xin chào - ở cuối trang").appendTo (document.body); //tạo paragraph, thêm vào
                cuối body</li>
            <li> $("&lt;/p&gt;").html("Xin chào - ở cuối trang").addClass("text-danger text-center").appendTo
                (document.body); //thêm vào cuối body</li>
            <li> $("#car-select").children().last().text() //chọn select, trong các con (children, ở đây là option, chọn
                element cuối)</li>
            <li> $("#car-select").children().last().prop("innerHTML")</li>
            <li> $("#car-select").children().last().prop("value")</li>
            <li> $("&lt;option/&gt;", { text:"HONDA", value:"honda" }).appendTo( $("#car-select")); //tạop option, thêm
                vào select</li>
            <li> $("&lt;option/&gt;").attr("value","mazda").text("MAZDA").appendTo($("#car-select")); //tạo option, thêm
                vào select</li>
            <li> $("&lt;option//&gt;").val("mazda").html("Mazda").appendTo($("#car-select"));// tạo option, thêm vào
                select </li>
        </ol>
    </div>

</body>
<script>
    //function mẫu - tạo list vật nuôi    
    function onBtnTaoListVatNuoiClick() {
        var vDanhSachVatNuoi = ["dog", "cat", "parrot", "rabbit"];
        $('#div-2')              //chọn div 2 
            .append(                //thêm label
                $(document.createElement('label')).prop({
                    for: 'Vật nuôi'
                }).html('Chọn vật nuôi: ')
            )
            .append(                     //thêm select
                $("<select/>").prop({     //các property gồm id và tên 
                    id: 'select-pets',    //id là select-pets
                    name: 'pets'
                })
            )
        //thêm các option vào select
        for (var bVatNuoi of vDanhSachVatNuoi) {   //VỚI TỪNG giá trị trong mảng bDanhSachVatNuoi
            $("<option/>").val(bVatNuoi).text(bVatNuoi.toUpperCase()).   //tạo option có value là bVatNuoi, có text là bVatNuoi chữ IN HOA
                appendTo($("#select-pets"));                                  //dính vào select có id là select-pets
        }
    }
    //
    function onBtnTaoListMauSac() {
        var vMauSac = [
            { value: "black", text: "đen" },
            { value: "white", text: "Trắng" },
            { value: "silver", text: "Bạc" },
            { value: "blue", text: "Xanh dương" }
        ];
        $("#div-4")
            .append(
                $(document.createElement("label")).prop({
                    for: 'Màu sắc'
                }).html('Chọn màu sắc :')
            )
            .append(
                $("<select/>").prop({
                    id: 'select-mau-sac',   // id của select
                    name: 'select-mau-sac'
                })
            )
        for (var bI = 0; bI < vMauSac.length; bI++) {
            $("<option/>").val(vMauSac[bI].value).text(vMauSac[bI].text)   // tạo option
                .appendTo($("#select-mau-sac"));
        }
    }
</script>
</head>